/* Sistemas Integrados TECNISA

Nome: 02A2_PEDTRPO_LOG_PED_PARAMPEDIDO.SQL

Descrio:
   Trigger para gravar o log das alteraes

Criao:
   14/01/2016 - Jurandir Junio
*/

/* Tabela PARAMPEDIDO.*/
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir das alteraes na tabela
              PARAMPEDIDO, para verifio de erros */
IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'LOG_PED_PARAMPEDIDO' AND
                TYPE   = 'TR'                 AND
                U.UID  = O.UID                AND
                U.NAME = USER)

DROP TRIGGER LOG_PED_PARAMPEDIDO
GO


CREATE TRIGGER LOG_PED_PARAMPEDIDO
ON PARAMPEDIDO
FOR UPDATE,INSERT, DELETE
AS
BEGIN

   DECLARE @V_DSREMOTEADDR VARCHAR(15);
   DECLARE @V_DSREMOTEHOST VARCHAR(15);
   DECLARE @V_DSSERVERRDM  VARCHAR(20);
   DECLARE @V_DSSERVMETHOD VARCHAR(30);
   DECLARE @V_DSREMOTEOPER VARCHAR(12);
   DECLARE @V_DESC         VARCHAR(500);
   DECLARE @V_ITPESQ       VARCHAR(80);
   DECLARE @V_NMOPERADOR   VARCHAR(40);
   DECLARE @V_IDCLIEATIV   VARCHAR(1);
   DECLARE @V_NRINCREST    VARCHAR(40);
   DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/
   DECLARE @V_ID_TRIGGER         VARCHAR(1);

   DECLARE @V_CDFILIAL_OLD VARCHAR(4);
   DECLARE @V_IDOBRTPOPPED_OLD VARCHAR(1);
   DECLARE @V_CDMODPGTO_OLD VARCHAR(5);
   DECLARE @V_CDVENDEDOR_OLD VARCHAR(4);
   DECLARE @V_IDTABPRECO_OLD VARCHAR(1);
   DECLARE @V_IDLANCPED_OLD VARCHAR(1);
   DECLARE @V_IDLANENCARGOPED_OLD VARCHAR(1);
   DECLARE @V_IDTESTAEST_OLD VARCHAR(1);
   DECLARE @V_NRDIASENTPED_OLD VARCHAR(4);
   DECLARE @V_IDOBRINFTRAN_OLD VARCHAR(1);
   DECLARE @V_CDOPERAPRO1_OLD VARCHAR(12);
   DECLARE @V_CDOPERAPRO2_OLD VARCHAR(12);
   DECLARE @V_IDSITUFINAN_OLD VARCHAR(1);
   DECLARE @V_CDGROPERAPRO_OLD VARCHAR(10);
   DECLARE @V_NRDIAPENDFIN_OLD VARCHAR(4);
   DECLARE @V_NRMAXITNFPED_OLD NUMERIC;
   DECLARE @V_IDEXIBPEDIDO_OLD VARCHAR(1);
   DECLARE @V_IDMENSVEND_OLD VARCHAR(1);
   DECLARE @V_IDPERALTPRECO_OLD VARCHAR(1);
   DECLARE @V_IDUTRESELOTE_OLD VARCHAR(1);
   DECLARE @V_CDGROPLIBINC_OLD VARCHAR(2);
   DECLARE @V_IDUTVALIPED_OLD VARCHAR(1);
   DECLARE @V_QTDIAVALIPED_OLD NUMERIC;
   DECLARE @V_IDUTDESCMAXI_OLD VARCHAR(1);
   DECLARE @V_IDEXCLPEDIDO_OLD VARCHAR(1);
   DECLARE @V_IDESTTODFIL_OLD VARCHAR(1);
   DECLARE @V_VRLIMAPROVA_OLD FLOAT;
   DECLARE @V_IDENTRSAIDOP_OLD VARCHAR(1);
   DECLARE @V_CDTIPOOPER_OLD VARCHAR(4);
   DECLARE @V_CDCLIENTE_OLD VARCHAR(21);
   DECLARE @V_IDUTCTRELANP_OLD VARCHAR(1);
   DECLARE @V_IDTPCOMPPROD_OLD VARCHAR(1);
   DECLARE @V_IDEXIBIMPITPED_OLD VARCHAR(1);
   DECLARE @V_VRPERDIFCUSPREC_OLD FLOAT;
   DECLARE @V_IDATUTABPRECINI_OLD VARCHAR(1);
   DECLARE @V_IDEXIBRENTPED_OLD VARCHAR(1);
   DECLARE @V_CDITFORPRECOPRO_OLD VARCHAR(3);
   DECLARE @V_IDEXIBPRINATIV_OLD VARCHAR(1);
   DECLARE @V_IDEXIBEPRAZOPED_OLD VARCHAR(1);
   DECLARE @V_IDTIPOPEDINC_OLD VARCHAR(1);
   DECLARE @V_IDEVOLESTLIQMAN_OLD VARCHAR(1);
   DECLARE @V_VRMINPEDIDO_OLD FLOAT;
   DECLARE @V_VRSERVBANHO_OLD FLOAT;
   DECLARE @V_IDGERAOPPEDIDO_OLD VARCHAR(1);
   DECLARE @V_IDENCARPRIPARC_OLD VARCHAR(1);
   DECLARE @V_IDALTFORMAPAG_OLD VARCHAR(1);
   DECLARE @V_DSPERALTMAIOR_OLD VARCHAR(10);
   DECLARE @V_DSPERALTMENOR_OLD VARCHAR(10);
   DECLARE @V_CDGRUALTPRECO_OLD VARCHAR(2);
   DECLARE @V_IDCONSESTGEROP_OLD VARCHAR(1);
   DECLARE @V_IDALTMODPAG_OLD VARCHAR(1);
   DECLARE @V_IDCALCPRECODIME_OLD VARCHAR(1);
   DECLARE @V_IDDIMEVARDESC_OLD VARCHAR(1);

   DECLARE @V_CDFILIAL_NEW VARCHAR(4);
   DECLARE @V_IDOBRTPOPPED_NEW VARCHAR(1);
   DECLARE @V_CDMODPGTO_NEW VARCHAR(5);
   DECLARE @V_CDVENDEDOR_NEW VARCHAR(4);
   DECLARE @V_IDTABPRECO_NEW VARCHAR(1);
   DECLARE @V_IDLANCPED_NEW VARCHAR(1);
   DECLARE @V_IDLANENCARGOPED_NEW VARCHAR(1);
   DECLARE @V_IDTESTAEST_NEW VARCHAR(1);
   DECLARE @V_NRDIASENTPED_NEW VARCHAR(4);
   DECLARE @V_IDOBRINFTRAN_NEW VARCHAR(1);
   DECLARE @V_CDOPERAPRO1_NEW VARCHAR(12);
   DECLARE @V_CDOPERAPRO2_NEW VARCHAR(12);
   DECLARE @V_IDSITUFINAN_NEW VARCHAR(1);
   DECLARE @V_CDGROPERAPRO_NEW VARCHAR(10);
   DECLARE @V_NRDIAPENDFIN_NEW VARCHAR(4);
   DECLARE @V_NRMAXITNFPED_NEW NUMERIC;
   DECLARE @V_IDEXIBPEDIDO_NEW VARCHAR(1);
   DECLARE @V_IDMENSVEND_NEW VARCHAR(1);
   DECLARE @V_IDPERALTPRECO_NEW VARCHAR(1);
   DECLARE @V_IDUTRESELOTE_NEW VARCHAR(1);
   DECLARE @V_CDGROPLIBINC_NEW VARCHAR(2);
   DECLARE @V_IDUTVALIPED_NEW VARCHAR(1);
   DECLARE @V_QTDIAVALIPED_NEW NUMERIC;
   DECLARE @V_IDUTDESCMAXI_NEW VARCHAR(1);
   DECLARE @V_IDEXCLPEDIDO_NEW VARCHAR(1);
   DECLARE @V_IDESTTODFIL_NEW VARCHAR(1);
   DECLARE @V_VRLIMAPROVA_NEW FLOAT;
   DECLARE @V_IDENTRSAIDOP_NEW VARCHAR(1);
   DECLARE @V_CDTIPOOPER_NEW VARCHAR(4);
   DECLARE @V_CDCLIENTE_NEW VARCHAR(21);
   DECLARE @V_IDUTCTRELANP_NEW VARCHAR(1);
   DECLARE @V_IDTPCOMPPROD_NEW VARCHAR(1);
   DECLARE @V_IDEXIBIMPITPED_NEW VARCHAR(1);
   DECLARE @V_VRPERDIFCUSPREC_NEW FLOAT;
   DECLARE @V_IDATUTABPRECINI_NEW VARCHAR(1);
   DECLARE @V_IDEXIBRENTPED_NEW VARCHAR(1);
   DECLARE @V_CDITFORPRECOPRO_NEW VARCHAR(3);
   DECLARE @V_IDEXIBPRINATIV_NEW VARCHAR(1);
   DECLARE @V_IDEXIBEPRAZOPED_NEW VARCHAR(1);
   DECLARE @V_IDTIPOPEDINC_NEW VARCHAR(1);
   DECLARE @V_IDEVOLESTLIQMAN_NEW VARCHAR(1);
   DECLARE @V_VRMINPEDIDO_NEW FLOAT;
   DECLARE @V_VRSERVBANHO_NEW FLOAT;
   DECLARE @V_IDGERAOPPEDIDO_NEW VARCHAR(1);
   DECLARE @V_IDENCARPRIPARC_NEW VARCHAR(1);
   DECLARE @V_IDALTFORMAPAG_NEW VARCHAR(1);
   DECLARE @V_DSPERALTMAIOR_NEW VARCHAR(10);
   DECLARE @V_DSPERALTMENOR_NEW VARCHAR(10);
   DECLARE @V_CDGRUALTPRECO_NEW VARCHAR(2);
   DECLARE @V_IDCONSESTGEROP_NEW VARCHAR(1);
   DECLARE @V_IDALTMODPAG_NEW VARCHAR(1);
   DECLARE @V_IDCALCPRECODIME_NEW VARCHAR(1);
   DECLARE @V_IDDIMEVARDESC_NEW VARCHAR(1);

/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC       = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDCLIEATIV = '';
   SET @V_NRINCREST  = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO  @V_NMOPERADOR;
   EXEC WEBTUNNING @V_DSREMOTEADDR,
                   @V_DSREMOTEHOST,
                   @V_DSSERVERRDM,
                   @V_DSSERVMETHOD,
                   @V_DSREMOTEOPER;

   DECLARE C_CURSOR CURSOR FOR
      SELECT
         'D' IDCOMANDO,

         CDFILIAL,
         IDOBRTPOPPED,
         CDMODPGTO,
         CDVENDEDOR,
         IDTABPRECO,
         IDLANCPED,
         IDLANENCARGOPED,
         IDTESTAEST,
         NRDIASENTPED,
         IDOBRINFTRAN,
         CDOPERAPRO1,
         CDOPERAPRO2,
         IDSITUFINAN,
         CDGROPERAPRO,
         NRDIAPENDFIN,
         NRMAXITNFPED,
         IDEXIBPEDIDO,
         IDMENSVEND,
         IDPERALTPRECO,
         IDUTRESELOTE,
         CDGROPLIBINC,
         IDUTVALIPED,
         QTDIAVALIPED,
         IDUTDESCMAXI,
         IDEXCLPEDIDO,
         IDESTTODFIL,
         VRLIMAPROVA,
         IDENTRSAIDOP,
         CDTIPOOPER,
         CDCLIENTE,
         IDUTCTRELANP,
         IDTPCOMPPROD,
         IDEXIBIMPITPED,
         VRPERDIFCUSPREC,
         IDATUTABPRECINI,
         IDEXIBRENTPED,
         CDITFORPRECOPRO,
         IDEXIBPRINATIV,
         IDEXIBEPRAZOPED,
         IDTIPOPEDINC,
         IDEVOLESTLIQMAN,
         VRMINPEDIDO,
         VRSERVBANHO,
         IDGERAOPPEDIDO,
         IDENCARPRIPARC,
         IDALTFORMAPAG,
         DSPERALTMAIOR,
         DSPERALTMENOR,
         CDGRUALTPRECO,
         IDCONSESTGEROP,
         IDALTMODPAG,
         IDCALCPRECODIME,
         IDDIMEVARDESC,

         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL

      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)
      UNION ALL

      SELECT
         'U' IDCOMANDO,

         DELETED.CDFILIAL,
         DELETED.IDOBRTPOPPED,
         DELETED.CDMODPGTO,
         DELETED.CDVENDEDOR,
         DELETED.IDTABPRECO,
         DELETED.IDLANCPED,
         DELETED.IDLANENCARGOPED,
         DELETED.IDTESTAEST,
         DELETED.NRDIASENTPED,
         DELETED.IDOBRINFTRAN,
         DELETED.CDOPERAPRO1,
         DELETED.CDOPERAPRO2,
         DELETED.IDSITUFINAN,
         DELETED.CDGROPERAPRO,
         DELETED.NRDIAPENDFIN,
         DELETED.NRMAXITNFPED,
         DELETED.IDEXIBPEDIDO,
         DELETED.IDMENSVEND,
         DELETED.IDPERALTPRECO,
         DELETED.IDUTRESELOTE,
         DELETED.CDGROPLIBINC,
         DELETED.IDUTVALIPED,
         DELETED.QTDIAVALIPED,
         DELETED.IDUTDESCMAXI,
         DELETED.IDEXCLPEDIDO,
         DELETED.IDESTTODFIL,
         DELETED.VRLIMAPROVA,
         DELETED.IDENTRSAIDOP,
         DELETED.CDTIPOOPER,
         DELETED.CDCLIENTE,
         DELETED.IDUTCTRELANP,
         DELETED.IDTPCOMPPROD,
         DELETED.IDEXIBIMPITPED,
         DELETED.VRPERDIFCUSPREC,
         DELETED.IDATUTABPRECINI,
         DELETED.IDEXIBRENTPED,
         DELETED.CDITFORPRECOPRO,
         DELETED.IDEXIBPRINATIV,
         DELETED.IDEXIBEPRAZOPED,
         DELETED.IDTIPOPEDINC,
         DELETED.IDEVOLESTLIQMAN,
         DELETED.VRMINPEDIDO,
         DELETED.VRSERVBANHO,
         DELETED.IDGERAOPPEDIDO,
         DELETED.IDENCARPRIPARC,
         DELETED.IDALTFORMAPAG,
         DELETED.DSPERALTMAIOR,
         DELETED.DSPERALTMENOR,
         DELETED.CDGRUALTPRECO,
         DELETED.IDCONSESTGEROP,
         DELETED.IDALTMODPAG,
         DELETED.IDCALCPRECODIME,
         DELETED.IDDIMEVARDESC,

         INSERTED.CDFILIAL,
         INSERTED.IDOBRTPOPPED,
         INSERTED.CDMODPGTO,
         INSERTED.CDVENDEDOR,
         INSERTED.IDTABPRECO,
         INSERTED.IDLANCPED,
         INSERTED.IDLANENCARGOPED,
         INSERTED.IDTESTAEST,
         INSERTED.NRDIASENTPED,
         INSERTED.IDOBRINFTRAN,
         INSERTED.CDOPERAPRO1,
         INSERTED.CDOPERAPRO2,
         INSERTED.IDSITUFINAN,
         INSERTED.CDGROPERAPRO,
         INSERTED.NRDIAPENDFIN,
         INSERTED.NRMAXITNFPED,
         INSERTED.IDEXIBPEDIDO,
         INSERTED.IDMENSVEND,
         INSERTED.IDPERALTPRECO,
         INSERTED.IDUTRESELOTE,
         INSERTED.CDGROPLIBINC,
         INSERTED.IDUTVALIPED,
         INSERTED.QTDIAVALIPED,
         INSERTED.IDUTDESCMAXI,
         INSERTED.IDEXCLPEDIDO,
         INSERTED.IDESTTODFIL,
         INSERTED.VRLIMAPROVA,
         INSERTED.IDENTRSAIDOP,
         INSERTED.CDTIPOOPER,
         INSERTED.CDCLIENTE,
         INSERTED.IDUTCTRELANP,
         INSERTED.IDTPCOMPPROD,
         INSERTED.IDEXIBIMPITPED,
         INSERTED.VRPERDIFCUSPREC,
         INSERTED.IDATUTABPRECINI,
         INSERTED.IDEXIBRENTPED,
         INSERTED.CDITFORPRECOPRO,
         INSERTED.IDEXIBPRINATIV,
         INSERTED.IDEXIBEPRAZOPED,
         INSERTED.IDTIPOPEDINC,
         INSERTED.IDEVOLESTLIQMAN,
         INSERTED.VRMINPEDIDO,
         INSERTED.VRSERVBANHO,
         INSERTED.IDGERAOPPEDIDO,
         INSERTED.IDENCARPRIPARC,
         INSERTED.IDALTFORMAPAG,
         INSERTED.DSPERALTMAIOR,
         INSERTED.DSPERALTMENOR,
         INSERTED.CDGRUALTPRECO,
         INSERTED.IDCONSESTGEROP,
         INSERTED.IDALTMODPAG,
         INSERTED.IDCALCPRECODIME,
         INSERTED.IDDIMEVARDESC

      FROM
         DELETED,
         INSERTED
      WHERE
         INSERTED.CDFILIAL  = DELETED.CDFILIAL

      UNION ALL

      SELECT
        'I' IDCOMANDO,

         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL,
         CDFILIAL,
         IDOBRTPOPPED,
         CDMODPGTO,
         CDVENDEDOR,
         IDTABPRECO,
         IDLANCPED,
         IDLANENCARGOPED,
         IDTESTAEST,
         NRDIASENTPED,
         IDOBRINFTRAN,
         CDOPERAPRO1,
         CDOPERAPRO2,
         IDSITUFINAN,
         CDGROPERAPRO,
         NRDIAPENDFIN,
         NRMAXITNFPED,
         IDEXIBPEDIDO,
         IDMENSVEND,
         IDPERALTPRECO,
         IDUTRESELOTE,
         CDGROPLIBINC,
         IDUTVALIPED,
         QTDIAVALIPED,
         IDUTDESCMAXI,
         IDEXCLPEDIDO,
         IDESTTODFIL,
         VRLIMAPROVA,
         IDENTRSAIDOP,
         CDTIPOOPER,
         CDCLIENTE,
         IDUTCTRELANP,
         IDTPCOMPPROD,
         IDEXIBIMPITPED,
         VRPERDIFCUSPREC,
         IDATUTABPRECINI,
         IDEXIBRENTPED,
         CDITFORPRECOPRO,
         IDEXIBPRINATIV,
         IDEXIBEPRAZOPED,
         IDTIPOPEDINC,
         IDEVOLESTLIQMAN,
         VRMINPEDIDO,
         VRSERVBANHO,
         IDGERAOPPEDIDO,
         IDENCARPRIPARC,
         IDALTFORMAPAG,
         DSPERALTMAIOR,
         DSPERALTMENOR,
         CDGRUALTPRECO,
         IDCONSESTGEROP,
         IDALTMODPAG,
         IDCALCPRECODIME,
         IDDIMEVARDESC

     FROM
        INSERTED
     WHERE
        0 = (SELECT COUNT(*) FROM DELETED)

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_TRIGGER,

    				   @V_CDFILIAL_OLD,
                  @V_IDOBRTPOPPED_OLD,
                  @V_CDMODPGTO_OLD,
                  @V_CDVENDEDOR_OLD,
                  @V_IDTABPRECO_OLD,
                  @V_IDLANCPED_OLD,
                  @V_IDLANENCARGOPED,
                  @V_IDTESTAEST_OLD,
                  @V_NRDIASENTPED_OLD,
                  @V_IDOBRINFTRAN_OLD,
                  @V_CDOPERAPRO1_OLD,
                  @V_CDOPERAPRO2_OLD,
                  @V_IDSITUFINAN_OLD,
                  @V_CDGROPERAPRO_OLD,
                  @V_NRDIAPENDFIN_OLD,
                  @V_NRMAXITNFPED_OLD,
                  @V_IDEXIBPEDIDO_OLD,
                  @V_IDMENSVEND_OLD,
                  @V_IDPERALTPRECO_OLD,
                  @V_IDUTRESELOTE_OLD,
                  @V_CDGROPLIBINC_OLD,
                  @V_IDUTVALIPED_OLD,
                  @V_QTDIAVALIPED_OLD,
                  @V_IDUTDESCMAXI_OLD,
                  @V_IDEXCLPEDIDO_OLD,
                  @V_IDESTTODFIL_OLD,
                  @V_VRLIMAPROVA_OLD,
                  @V_IDENTRSAIDOP_OLD,
                  @V_CDTIPOOPER_OLD,
                  @V_CDCLIENTE_OLD,
                  @V_IDUTCTRELANP_OLD,
                  @V_IDTPCOMPPROD_OLD,
                  @V_IDEXIBIMPITPED_OLD,
                  @V_VRPERDIFCUSPREC_OLD,
                  @V_IDATUTABPRECINI_OLD,
                  @V_IDEXIBRENTPED_OLD,
                  @V_CDITFORPRECOPRO_OLD,
                  @V_IDEXIBPRINATIV_OLD,
                  @V_IDEXIBEPRAZOPED_OLD,
                  @V_IDTIPOPEDINC_OLD,
                  @V_IDEVOLESTLIQMAN_OLD,
                  @V_VRMINPEDIDO_OLD,
                  @V_VRSERVBANHO_OLD,
                  @V_IDGERAOPPEDIDO_OLD,
                  @V_IDENCARPRIPARC_OLD,
                  @V_IDALTFORMAPAG_OLD,
                  @V_DSPERALTMAIOR_OLD,
                  @V_DSPERALTMENOR_OLD,
                  @V_CDGRUALTPRECO_OLD,
                  @V_IDCONSESTGEROP_OLD,
                  @V_IDALTMODPAG_OLD,
                  @V_IDCALCPRECODIME_OLD,
                  @V_IDDIMEVARDESC_OLD,

                  @V_CDFILIAL_NEW,
                  @V_IDOBRTPOPPED_NEW,
                  @V_CDMODPGTO_NEW,
                  @V_CDVENDEDOR_NEW,
                  @V_IDTABPRECO_NEW,
                  @V_IDLANCPED_NEW,
                  @V_IDLANENCARGOPED,
                  @V_IDTESTAEST_NEW,
                  @V_NRDIASENTPED_NEW,
                  @V_IDOBRINFTRAN_NEW,
                  @V_CDOPERAPRO1_NEW,
                  @V_CDOPERAPRO2_NEW,
                  @V_IDSITUFINAN_NEW,
                  @V_CDGROPERAPRO_NEW,
                  @V_NRDIAPENDFIN_NEW,
                  @V_NRMAXITNFPED_NEW,
                  @V_IDEXIBPEDIDO_NEW,
                  @V_IDMENSVEND_NEW,
                  @V_IDPERALTPRECO_NEW,
                  @V_IDUTRESELOTE_NEW,
                  @V_CDGROPLIBINC_NEW,
                  @V_IDUTVALIPED_NEW,
                  @V_QTDIAVALIPED_NEW,
                  @V_IDUTDESCMAXI_NEW,
                  @V_IDEXCLPEDIDO_NEW,
                  @V_IDESTTODFIL_NEW,
                  @V_VRLIMAPROVA_NEW,
                  @V_IDENTRSAIDOP_NEW,
                  @V_CDTIPOOPER_NEW,
                  @V_CDCLIENTE_NEW,
                  @V_IDUTCTRELANP_NEW,
                  @V_IDTPCOMPPROD_NEW,
                  @V_IDEXIBIMPITPED_NEW,
                  @V_VRPERDIFCUSPREC_NEW,
                  @V_IDATUTABPRECINI_NEW,
                  @V_IDEXIBRENTPED_NEW,
                  @V_CDITFORPRECOPRO_NEW,
                  @V_IDEXIBPRINATIV_NEW,
                  @V_IDEXIBEPRAZOPED_NEW,
                  @V_IDTIPOPEDINC_NEW,
                  @V_IDEVOLESTLIQMAN_NEW,
                  @V_VRMINPEDIDO_NEW,
                  @V_VRSERVBANHO_NEW,
                  @V_IDGERAOPPEDIDO_NEW,
                  @V_IDENCARPRIPARC_NEW,
                  @V_IDALTFORMAPAG_NEW,
                  @V_DSPERALTMAIOR_NEW,
                  @V_DSPERALTMENOR_NEW,
                  @V_CDGRUALTPRECO_NEW,
                  @V_IDCONSESTGEROP_NEW,
                  @V_IDALTMODPAG_NEW,
                  @V_IDCALCPRECODIME_NEW,
                  @V_IDDIMEVARDESC_NEW;

      WHILE (@@FETCH_STATUS = 0) BEGIN

         IF @V_ID_TRIGGER = 'I' BEGIN

            IF @V_CDFILIAL_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDFILIAL= ' + ISNULL(@V_CDFILIAL_NEW,'') + ' ';
            END;

            IF @V_IDOBRTPOPPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDOBRTPOPPED= ' + ISNULL(@V_IDOBRTPOPPED_NEW,'') + ' ';
            END;

            IF @V_CDMODPGTO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDMODPGTO= ' + ISNULL(@V_CDMODPGTO_NEW,'') + ' ';
            END;

            IF @V_CDVENDEDOR_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDVENDEDOR= ' + ISNULL(@V_CDVENDEDOR_NEW,'') + ' ';
            END;

            IF @V_IDTABPRECO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTABPRECO= ' + ISNULL(@V_IDTABPRECO_NEW,'') + ' ';
            END;

            IF @V_IDLANCPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDLANCPED= ' + ISNULL(@V_IDLANCPED_NEW,'') + ' ';
            END;

            IF @V_IDLANENCARGOPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDLANENCARGOPED= ' + ISNULL(@V_IDLANENCARGOPED_NEW,'') + ' ';
            END;

            IF @V_IDTESTAEST_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTESTAEST= ' + ISNULL(@V_IDTESTAEST_NEW,'') + ' ';
            END;

            IF @V_NRDIASENTPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NRDIASENTPED= ' + ISNULL(@V_NRDIASENTPED_NEW,'') + ' ';
            END;

            IF @V_IDOBRINFTRAN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDOBRINFTRAN= ' + ISNULL(@V_IDOBRINFTRAN_NEW,'') + ' ';
            END;

            IF @V_CDOPERAPRO1_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDOPERAPRO1= ' + ISNULL(@V_CDOPERAPRO1_NEW,'') + ' ';
            END;

            IF @V_CDOPERAPRO2_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDOPERAPRO2= ' + ISNULL(@V_CDOPERAPRO2_NEW,'') + ' ';
            END;

            IF @V_IDSITUFINAN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDSITUFINAN= ' + ISNULL(@V_IDSITUFINAN_NEW,'') + ' ';
            END;

            IF @V_CDGROPERAPRO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDGROPERAPRO= ' + ISNULL(@V_CDGROPERAPRO_NEW,'') + ' ';
            END;

            IF @V_NRDIAPENDFIN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NRDIAPENDFIN= ' + ISNULL(@V_NRDIAPENDFIN_NEW,'') + ' ';
            END;

            IF @V_NRMAXITNFPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NRMAXITNFPED= ' + ISNULL(@V_NRMAXITNFPED_NEW,'') + ' ';
            END;

            IF @V_IDEXIBPEDIDO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBPEDIDO= ' + ISNULL(@V_IDEXIBPEDIDO_NEW,'') + ' ';
            END;

            IF @V_IDMENSVEND_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDMENSVEND= ' + ISNULL(@V_IDMENSVEND_NEW,'') + ' ';
            END;

            IF @V_IDPERALTPRECO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDPERALTPRECO= ' + ISNULL(@V_IDPERALTPRECO_NEW,'') + ' ';
            END;

            IF @V_IDUTRESELOTE_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTRESELOTE= ' + ISNULL(@V_IDUTRESELOTE_NEW,'') + ' ';
            END;

            IF @V_CDGROPLIBINC_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDGROPLIBINC= ' + ISNULL(@V_CDGROPLIBINC_NEW,'') + ' ';
            END;

            IF @V_IDUTVALIPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTVALIPED= ' + ISNULL(@V_IDUTVALIPED_NEW,'') + ' ';
            END;

            IF @V_QTDIAVALIPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'QTDIAVALIPED= ' + ISNULL(@V_QTDIAVALIPED_NEW,'') + ' ';
            END;

            IF @V_IDUTDESCMAXI_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTDESCMAXI= ' + ISNULL(@V_IDUTDESCMAXI_NEW,'') + ' ';
            END;


            IF @V_IDEXCLPEDIDO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXCLPEDIDO= ' + ISNULL(@V_IDEXCLPEDIDO_NEW,'') + ' ';
            END;

            IF @V_IDESTTODFIL_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDESTTODFIL= ' + ISNULL(@V_IDESTTODFIL_NEW,'') + ' ';
            END;

            IF @V_VRLIMAPROVA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRLIMAPROVA= ' + ISNULL(@V_VRLIMAPROVA_NEW,'') + ' ';
            END;

            IF @V_IDENTRSAIDOP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDENTRSAIDOP= ' + ISNULL(@V_IDENTRSAIDOP_NEW,'') + ' ';
            END;

            IF @V_CDTIPOOPER_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDTIPOOPER= ' + ISNULL(@V_CDTIPOOPER_NEW,'') + ' ';
            END;

            IF @V_CDCLIENTE_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDCLIENTE= ' + ISNULL(@V_CDCLIENTE_NEW,'') + ' ';
            END;

            IF @V_IDUTCTRELANP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTCTRELANP= ' + ISNULL(@V_IDUTCTRELANP_NEW,'') + ' ';
            END;

            IF @V_IDTPCOMPPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTPCOMPPROD= ' + ISNULL(@V_IDTPCOMPPROD_NEW,'') + ' ';
            END;

            IF @V_IDEXIBIMPITPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBIMPITPED= ' + ISNULL(@V_IDEXIBIMPITPED_NEW,'') + ' ';
            END;

            IF @V_VRPERDIFCUSPREC_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRPERDIFCUSPREC= ' + ISNULL(@V_VRPERDIFCUSPREC_NEW,'') + ' ';
            END;

            IF @V_IDATUTABPRECINI_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDATUTABPRECINI= ' + ISNULL(@V_IDATUTABPRECINI_NEW,'') + ' ';
            END;

            IF @V_IDEXIBRENTPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBRENTPED= ' + ISNULL(@V_IDEXIBRENTPED_NEW,'') + ' ';
            END;

            IF @V_CDITFORPRECOPRO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDITFORPRECOPRO= ' + ISNULL(@V_CDITFORPRECOPRO_NEW,'') + ' ';
            END;

            IF @V_IDEXIBPRINATIV_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBPRINATIV= ' + ISNULL(@V_IDEXIBPRINATIV_NEW,'') + ' ';
            END;

            IF @V_IDEXIBEPRAZOPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBEPRAZOPED= ' + ISNULL(@V_IDEXIBEPRAZOPED_NEW,'') + ' ';
            END;

            IF @V_IDTIPOPEDINC_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTIPOPEDINC= ' + ISNULL(@V_IDTIPOPEDINC_NEW,'') + ' ';
            END;

            IF @V_IDEVOLESTLIQMAN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEVOLESTLIQMAN= ' + ISNULL(@V_IDEVOLESTLIQMAN_NEW,'') + ' ';
            END;

            IF @V_VRMINPEDIDO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRMINPEDIDO= ' + ISNULL(@V_VRMINPEDIDO_NEW,'') + ' ';
            END;

            IF @V_VRSERVBANHO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRSERVBANHO= ' + ISNULL(@V_VRSERVBANHO_NEW,'') + ' ';
            END;

            IF @V_IDGERAOPPEDIDO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDGERAOPPEDIDO= ' + ISNULL(@V_IDGERAOPPEDIDO_NEW,'') + ' ';
            END;

            IF @V_IDENCARPRIPARC_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDENCARPRIPARC= ' + ISNULL(@V_IDENCARPRIPARC_NEW,'') + ' ';
            END;

            IF @V_IDALTFORMAPAG_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDALTFORMAPAG= ' + ISNULL(@V_IDALTFORMAPAG_NEW,'') + ' ';
            END;

            IF @V_DSPERALTMAIOR_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DSPERALTMAIOR= ' + ISNULL(@V_DSPERALTMAIOR_NEW,'') + ' ';
            END;

            IF @V_DSPERALTMENOR_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DSPERALTMENOR= ' + ISNULL(@V_DSPERALTMENOR_NEW,'') + ' ';
            END;

            IF @V_CDGRUALTPRECO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDGRUALTPRECO= ' + ISNULL(@V_CDGRUALTPRECO_NEW,'') + ' ';
            END;

            IF @V_IDCONSESTGEROP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDCONSESTGEROP= ' + ISNULL(@V_IDCONSESTGEROP_NEW,'') + ' ';
            END;

            IF @V_IDCONSESTGEROP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDCONSESTGEROP= ' + ISNULL(@V_IDCONSESTGEROP_NEW,'') + ' ';
            END;

            IF @V_IDCALCPRECODIME_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDCALCPRECODIME= ' + ISNULL(@V_IDCALCPRECODIME_NEW,'') + ' ';
            END;

            IF @V_IDDIMEVARDESC_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDDIMEVARDESC= ' + ISNULL(@V_IDDIMEVARDESC_NEW,'') + ' ';
            END;

           SET @V_IDTIPOOPER = '1';
         END
         ELSE BEGIN
            IF @V_ID_TRIGGER = 'U' BEGIN

            IF (@V_CDFILIAL_OLD <> @V_CDFILIAL_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdFilial= ' + ISNULL(@V_CDFILIAL_NEW,'') + ' ';
            END;

            IF (@V_IDOBRTPOPPED_OLD <> V_IDOBRTPOPPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDOBRTPOPPED= ' + ISNULL(@V_IDOBRTPOPPED_NEW,'') + ' ';
            END;

            IF (@V_CDMODPGTO_OLD <> @V_CDMODPGTO_NEW)BEGIN
               SET @V_DESC = @V_DESC + 'CDMODPGTO= ' + ISNULL(@V_CDMODPGTO_NEW,'') + ' ';
            END;

            IF (@V_CDVENDEDOR_OLD <> @V_CDVENDEDOR_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDVENDEDOR= ' + ISNULL(@V_CDVENDEDOR_NEW,'') + ' ';
            END;

            IF (@V_IDTABPRECO_OLD <> @V_IDTABPRECO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDTABPRECO= ' + ISNULL(@V_IDTABPRECO_NEW,'') + ' ';
            END;

            IF (@V_IDLANCPED_OLD <> @V_IDLANCPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDLANCPED= ' + ISNULL(@V_IDLANCPED_NEW,'') + ' ';
            END;

            IF (@V_IDLANENCARGOPED_OLD <> @V_IDLANENCARGOPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDLANENCARGOPED= ' + ISNULL(@V_IDLANENCARGOPED_NEW,'') + ' ';
            END;

            IF (@V_IDTESTAEST_OLD <> @V_IDTESTAEST_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDTESTAEST= ' + ISNULL(@V_IDTESTAEST_NEW,'') + ' ';
            END;

            IF (@V_NRDIASENTPED_OLD <> @V_NRDIASENTPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'NRDIASENTPED= ' + ISNULL(@V_NRDIASENTPED_NEW,'') + ' ';
            END;

            IF (@V_IDOBRINFTRAN_OLD <> @V_IDOBRINFTRAN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDOBRINFTRAN= ' + ISNULL(@V_IDOBRINFTRAN_NEW,'') + ' ';
            END;

            IF (@V_CDOPERAPRO1_OLD <> @V_CDOPERAPRO1_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDOPERAPRO1= ' + ISNULL(@V_CDOPERAPRO1_NEW,'') + ' ';
            END;

            IF (@V_CDOPERAPRO2_OLD <> @V_CDOPERAPRO2_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDOPERAPRO2= ' + ISNULL(@V_CDOPERAPRO2_NEW,'') + ' ';
            END;

            IF (@V_IDSITUFINAN_OLD <> @V_IDSITUFINAN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDSITUFINAN= ' + ISNULL(@V_IDSITUFINAN_NEW,'') + ' ';
            END;

            IF (@V_CDGROPERAPRO_OLD <> @V_CDGROPERAPRO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDGROPERAPRO= ' + ISNULL(@V_CDGROPERAPRO_NEW,'') + ' ';
            END;

            IF (@V_NRDIAPENDFIN_OLD <> @V_NRDIAPENDFIN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'NRDIAPENDFIN= ' + ISNULL(@V_NRDIAPENDFIN_NEW,'') + ' ';
            END;

            IF (@V_NRMAXITNFPED_OLD <> @V_NRMAXITNFPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'NRMAXITNFPED= ' + ISNULL(@V_NRMAXITNFPED_NEW,'') + ' ';
            END;

            IF (@V_IDEXIBPEDIDO_OLD <> @V_IDEXIBPEDIDO_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBPEDIDO= ' + ISNULL(@V_IDEXIBPEDIDO_NEW,'') + ' ';
            END;

            IF (@V_IDMENSVEND_OLD <> @V_IDMENSVEND_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDMENSVEND= ' + ISNULL(@V_IDMENSVEND_NEW,'') + ' ';
            END;

            IF (@V_IDPERALTPRECO_OLD <> @V_IDPERALTPRECO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDPERALTPRECO= ' + ISNULL(@V_IDPERALTPRECO_NEW,'') + ' ';
            END;

            IF (@V_IDUTRESELOTE_OLD <> @V_IDUTRESELOTE_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDUTRESELOTE= ' + ISNULL(@V_IDUTRESELOTE_NEW,'') + ' ';
            END;

            IF (@V_CDGROPLIBINC_OLD <> @V_CDGROPLIBINC_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'CDGROPLIBINC= ' + ISNULL(@V_CDGROPLIBINC_NEW,'') + ' ';
            END;

            IF (@V_IDUTVALIPED_OLD <> @V_IDUTVALIPED_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDUTVALIPED= ' + ISNULL(@V_IDUTVALIPED_NEW,'') + ' ';
            END;

            IF (@V_QTDIAVALIPED_OLD <> @V_QTDIAVALIPED_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'QTDIAVALIPED= ' + ISNULL(@V_QTDIAVALIPED_NEW,'') + ' ';
            END;

            IF (@V_IDUTDESCMAXI_OLD <> @V_IDUTDESCMAXI_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDUTDESCMAXI= ' + ISNULL(@V_IDUTDESCMAXI_NEW,'') + ' ';
            END;

            IF (@V_IDEXCLPEDIDO_OLD <> @V_IDEXCLPEDIDO_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDEXCLPEDIDO= ' + ISNULL(@V_IDEXCLPEDIDO_NEW,'') + ' ';
            END;

            IF (@V_IDESTTODFIL_OLD <> @V_IDESTTODFIL_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDESTTODFIL= ' + ISNULL(@V_IDESTTODFIL_NEW,'') + ' ';
            END;

            IF (@V_VRLIMAPROVA_OLD <> @V_VRLIMAPROVA_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'VRLIMAPROVA= ' + ISNULL(@V_VRLIMAPROVA_NEW,'') + ' ';
            END;

            IF (@V_IDENTRSAIDOP_OLD <> @V_IDENTRSAIDOP_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDENTRSAIDOP= ' + ISNULL(@V_IDENTRSAIDOP_NEW,'') + ' ';
            END;

            IF (@V_CDTIPOOPER_OLD <> @V_CDTIPOOPER_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'CDTIPOOPER= ' + ISNULL(@V_CDTIPOOPER_NEW,'') + ' ';
            END;

            IF (@V_CDCLIENTE_OLD <> @V_CDTIPOOPER_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDCLIENTE= ' + ISNULL(@V_CDCLIENTE_NEW,'') + ' ';
            END;

            IF (@V_IDUTCTRELANP_OLD <> @V_IDUTCTRELANP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDUTCTRELANP= ' + ISNULL(@V_IDUTCTRELANP_NEW,'') + ' ';
            END;

            IF (@V_IDTPCOMPPROD_OLD <> @V_IDTPCOMPPROD_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDTPCOMPPROD= ' + ISNULL(@V_IDTPCOMPPROD_NEW,'') + ' ';
            END;

            IF (@V_IDEXIBIMPITPED_OLD <> @V_IDEXIBIMPITPED_NEW) IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBIMPITPED= ' + ISNULL(@V_IDEXIBIMPITPED_NEW,'') + ' ';
            END;

            IF (@V_VRPERDIFCUSPREC_OLD <> @V_VRPERDIFCUSPREC_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VRPERDIFCUSPREC= ' + ISNULL(@V_VRPERDIFCUSPREC_NEW,'') + ' ';
            END;

            IF (@V_IDATUTABPRECINI_OLD <> @V_IDATUTABPRECINI_NEW) IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDATUTABPRECINI= ' + ISNULL(@V_IDATUTABPRECINI_NEW,'') + ' ';
            END;

            IF (@V_IDEXIBRENTPED_OLD <> @V_IDEXIBRENTPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBRENTPED= ' + ISNULL(@V_IDEXIBRENTPED_NEW,'') + ' ';
            END;

            IF (@V_CDITFORPRECOPRO_OLD <> @V_CDITFORPRECOPRO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDITFORPRECOPRO= ' + ISNULL(@V_CDITFORPRECOPRO_NEW,'') + ' ';
            END;

            IF (@V_IDEXIBPRINATIV_OLD <> @V_IDEXIBPRINATIV_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBPRINATIV= ' + ISNULL(@V_IDEXIBPRINATIV_NEW,'') + ' ';
            END;

            IF (@V_IDEXIBEPRAZOPED_OLD <> @V_IDEXIBEPRAZOPED_NEW)  BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBEPRAZOPED= ' + ISNULL(@V_IDEXIBEPRAZOPED_NEW,'') + ' ';
            END;

            IF (@V_IDTIPOPEDINC_OLD <> @V_IDTIPOPEDINC_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDTIPOPEDINC= ' + ISNULL(@V_IDTIPOPEDINC_NEW,'') + ' ';
            END;

            IF (@V_IDEVOLESTLIQMAN_OLD <> @V_IDEVOLESTLIQMAN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDEVOLESTLIQMAN= ' + ISNULL(@V_IDEVOLESTLIQMAN_NEW,'') + ' ';
            END;

            IF (@V_VRMINPEDIDO_OLD <> @V_VRMINPEDIDO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VRMINPEDIDO= ' + ISNULL(@V_VRMINPEDIDO_NEW,'') + ' ';
            END;

            IF (@V_VRSERVBANHO_OLD <> @V_VRSERVBANHO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VRSERVBANHO= ' + ISNULL(@V_VRSERVBANHO_NEW,'') + ' ';
            END;

            IF (@V_IDGERAOPPEDIDO_OLD <> @V_IDGERAOPPEDIDO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDGERAOPPEDIDO= ' + ISNULL(@V_IDGERAOPPEDIDO_NEW,'') + ' ';
            END;

            IF (@V_IDENCARPRIPARC_OLD <> @V_IDENCARPRIPARC_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDENCARPRIPARC= ' + ISNULL(@V_IDENCARPRIPARC_NEW,'') + ' ';
            END;

            IF (@V_IDALTFORMAPAG_OLD <> @V_IDALTFORMAPAG_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDALTFORMAPAG= ' + ISNULL(@V_IDALTFORMAPAG_NEW,'') + ' ';
            END;

            IF (@V_DSPERALTMAIOR_OLD <> @V_DSPERALTMAIOR_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DSPERALTMAIOR= ' + ISNULL(@V_DSPERALTMAIOR_NEW,'') + ' ';
            END;

            IF (@V_DSPERALTMENOR_OLD <> @V_DSPERALTMENOR_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DSPERALTMENOR= ' + ISNULL(@V_DSPERALTMENOR_NEW,'') + ' ';
            END;

            IF (@V_CDGRUALTPRECO_OLD <> @V_CDGRUALTPRECO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDGRUALTPRECO= ' + ISNULL(@V_CDGRUALTPRECO_NEW,'') + ' ';
            END;

            IF (@V_IDCONSESTGEROP_OLD <> @V_IDCONSESTGEROP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDCONSESTGEROP= ' + ISNULL(@V_IDCONSESTGEROP_NEW,'') + ' ';
            END;

            IF (@V_IDCONSESTGEROP_OLD <> @V_IDCONSESTGEROP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDCONSESTGEROP= ' + ISNULL(@V_IDCONSESTGEROP_NEW,'') + ' ';
            END;

            IF (@V_IDCALCPRECODIME_OLD <> @V_IDCALCPRECODIME_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDCALCPRECODIME= ' + ISNULL(@V_IDCALCPRECODIME_NEW,'') + ' ';
            END;

            IF (@V_IDDIMEVARDESC_OLD <> @V_IDDIMEVARDESC_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDDIMEVARDESC= ' + ISNULL(@V_IDDIMEVARDESC_NEW,'') + ' ';
            END;

            SET @V_IDTIPOOPER = '2';

         END;

         IF @V_ID_TRIGGER = 'D'  BEGIN

            IF @V_CDFILIAL_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDFILIAL= ' + ISNULL(@V_CDFILIAL_OLD,'') + ' ';
            END;

            IF @V_IDOBRTPOPPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDOBRTPOPPED= ' + ISNULL(@V_IDOBRTPOPPED_OLD,'') + ' ';
            END;

            IF @V_CDMODPGTO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDMODPGTO= ' + ISNULL(@V_CDMODPGTO_OLD,'') + ' ';
            END;

            IF @V_CDVENDEDOR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDVENDEDOR= ' + ISNULL(@V_CDVENDEDOR_OLD,'') + ' ';
            END;

            IF @V_IDTABPRECO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTABPRECO= ' + ISNULL(@V_IDTABPRECO_OLD,'') + ' ';
            END;

            IF @V_IDLANCPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDLANCPED= ' + ISNULL(@V_IDLANCPED_OLD,'') + ' ';
            END;

            IF @V_IDLANENCARGOPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDLANENCARGOPED= ' + ISNULL(@V_IDLANENCARGOPED_OLD,'') + ' ';
            END;

            IF @V_IDTESTAEST_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTESTAEST= ' + ISNULL(@V_IDTESTAEST_OLD,'') + ' ';
            END;

            IF @V_NRDIASENTPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NRDIASENTPED= ' + ISNULL(@V_NRDIASENTPED_OLD,'') + ' ';
            END;

            IF @V_IDOBRINFTRAN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDOBRINFTRAN= ' + ISNULL(@V_IDOBRINFTRAN_OLD,'') + ' ';
            END;

            IF @V_CDOPERAPRO1_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDOPERAPRO1= ' + ISNULL(@V_CDOPERAPRO1_OLD,'') + ' ';
            END;

            IF @V_CDOPERAPRO2_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDOPERAPRO2= ' + ISNULL(@V_CDOPERAPRO2_OLD,'') + ' ';
            END;

            IF @V_IDSITUFINAN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDSITUFINAN= ' + ISNULL(@V_IDSITUFINAN_OLD,'') + ' ';
            END;

            IF @V_CDGROPERAPRO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDGROPERAPRO= ' + ISNULL(@V_CDGROPERAPRO_OLD,'') + ' ';
            END;

            IF @V_NRDIAPENDFIN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NRDIAPENDFIN= ' + ISNULL(@V_NRDIAPENDFIN_OLD,'') + ' ';
            END;

            IF @V_NRMAXITNFPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NRMAXITNFPED= ' + ISNULL(@V_NRMAXITNFPED_OLD,'') + ' ';
            END;

            IF @V_IDEXIBPEDIDO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBPEDIDO= ' + ISNULL(@V_IDEXIBPEDIDO_OLD,'') + ' ';
            END;

            IF @V_IDMENSVEND_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDMENSVEND= ' + ISNULL(@V_IDMENSVEND_OLD,'') + ' ';
            END;

            IF @V_IDPERALTPRECO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDPERALTPRECO= ' + ISNULL(@V_IDPERALTPRECO_OLD,'') + ' ';
            END;

            IF @V_IDUTRESELOTE_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTRESELOTE= ' + ISNULL(@V_IDUTRESELOTE_OLD,'') + ' ';
            END;

            IF @V_CDGROPLIBINC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDGROPLIBINC= ' + ISNULL(@V_CDGROPLIBINC_OLD,'') + ' ';
            END;

            IF @V_IDUTVALIPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTVALIPED= ' + ISNULL(@V_IDUTVALIPED_OLD,'') + ' ';
            END;

            IF @V_QTDIAVALIPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'QTDIAVALIPED= ' + ISNULL(@V_QTDIAVALIPED_OLD,'') + ' ';
            END;

            IF @V_IDUTDESCMAXI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTDESCMAXI= ' + ISNULL(@V_IDUTDESCMAXI_OLD,'') + ' ';
            END;

            IF @V_IDEXCLPEDIDO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXCLPEDIDO= ' + ISNULL(@V_IDEXCLPEDIDO_OLD,'') + ' ';
            END;

            IF @V_IDESTTODFIL_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDESTTODFIL= ' + ISNULL(@V_IDESTTODFIL_OLD,'') + ' ';
            END;

            IF @V_VRLIMAPROVA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRLIMAPROVA= ' + ISNULL(@V_VRLIMAPROVA_OLD,'') + ' ';
            END;

            IF @V_IDENTRSAIDOP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDENTRSAIDOP= ' + ISNULL(@V_IDENTRSAIDOP_OLD,'') + ' ';
            END;

            IF @V_CDTIPOOPER_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDTIPOOPER= ' + ISNULL(@V_CDTIPOOPER_OLD,'') + ' ';
            END;

            IF @V_CDCLIENTE_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDCLIENTE= ' + ISNULL(@V_CDCLIENTE_OLD,'') + ' ';
            END;

            IF @V_IDUTCTRELANP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTCTRELANP= ' + ISNULL(@V_IDUTCTRELANP_OLD,'') + ' ';
            END;

            IF @V_IDTPCOMPPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTPCOMPPROD= ' + ISNULL(@V_IDTPCOMPPROD_OLD,'') + ' ';
            END;

            IF @V_IDEXIBIMPITPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBIMPITPED= ' + ISNULL(@V_IDEXIBIMPITPED_OLD,'') + ' ';
            END;

            IF @V_VRPERDIFCUSPREC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRPERDIFCUSPREC= ' + ISNULL(@V_VRPERDIFCUSPREC_OLD,'') + ' ';
            END;

            IF @V_IDATUTABPRECINI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDATUTABPRECINI= ' + ISNULL(@V_IDATUTABPRECINI_OLD,'') + ' ';
            END;

            IF @V_IDEXIBRENTPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBRENTPED= ' + ISNULL(@V_IDEXIBRENTPED_OLD,'') + ' ';
            END;

            IF @V_CDITFORPRECOPRO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDITFORPRECOPRO= ' + ISNULL(@V_CDITFORPRECOPRO_OLD,'') + ' ';
            END;

            IF @V_IDEXIBPRINATIV_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBPRINATIV= ' + ISNULL(@V_IDEXIBPRINATIV_OLD,'') + ' ';
            END;

            IF @V_IDEXIBEPRAZOPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEXIBEPRAZOPED= ' + ISNULL(@V_IDEXIBEPRAZOPED_OLD,'') + ' ';
            END;

            IF @V_IDTIPOPEDINC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTIPOPEDINC= ' + ISNULL(@V_IDTIPOPEDINC_OLD,'') + ' ';
            END;

            IF @V_IDEVOLESTLIQMAN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDEVOLESTLIQMAN= ' + ISNULL(@V_IDEVOLESTLIQMAN_OLD,'') + ' ';
            END;

            IF @V_VRMINPEDIDO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRMINPEDIDO= ' + ISNULL(@V_VRMINPEDIDO_OLD,'') + ' ';
            END;

            IF @V_VRSERVBANHO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VRSERVBANHO= ' + ISNULL(@V_VRSERVBANHO_OLD,'') + ' ';
            END;

            IF @V_IDGERAOPPEDIDO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDGERAOPPEDIDO= ' + ISNULL(@V_IDGERAOPPEDIDO_OLD,'') + ' ';
            END;

            IF @V_IDENCARPRIPARC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDENCARPRIPARC= ' + ISNULL(@V_IDENCARPRIPARC_OLD,'') + ' ';
            END;

            IF @V_IDALTFORMAPAG_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDALTFORMAPAG= ' + ISNULL(@V_IDALTFORMAPAG_OLD,'') + ' ';
            END;

            IF @V_DSPERALTMAIOR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DSPERALTMAIOR= ' + ISNULL(@V_DSPERALTMAIOR_OLD,'') + ' ';
            END;

            IF @V_DSPERALTMENOR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DSPERALTMENOR= ' + ISNULL(@V_DSPERALTMENOR_OLD,'') + ' ';
            END;

            IF @V_CDGRUALTPRECO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDGRUALTPRECO= ' + ISNULL(@V_CDGRUALTPRECO_OLD,'') + ' ';
            END;

            IF @V_IDCONSESTGEROP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDCONSESTGEROP= ' + ISNULL(@V_IDCONSESTGEROP_OLD,'') + ' ';
            END;

            IF @V_IDCONSESTGEROP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDCONSESTGEROP= ' + ISNULL(@V_IDCONSESTGEROP_OLD,'') + ' ';
            END;

            IF @V_IDCALCPRECODIME_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDCALCPRECODIME= ' + ISNULL(@V_IDCALCPRECODIME_OLD,'') + ' ';
            END;

            IF @V_IDDIMEVARDESC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDDIMEVARDESC= ' + ISNULL(@V_IDDIMEVARDESC_OLD,'') + ' ';
            END;

            SET @V_IDTIPOOPER = '3';
         END;
      END;

     IF NOT (@V_DESC IS NULL) BEGIN

        INSERT INTO LOGOPERA ( NMTABELA, DTOPERACAO, NMRESPOPER,
                               IDTIPOOPER,   DSOPERACAO, CDPESQITEM,
                               DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER,
                               DSMETUSUOPER, CDORESPOPER)
                    VALUES   ('PARAMPEDIDO', GETDATE(), ISNULL(@V_NMOPERADOR,' '),
                               @V_IDTIPOOPER,   @V_DESC, @V_ITPESQ,
                               @V_DSSERVERRDM,  @V_DSREMOTEADDR,  @V_DSREMOTEHOST,
                               @V_DSSERVMETHOD, @V_DSREMOTEOPER);
     END;

   FETCH NEXT FROM C_CURSOR INTO @V_ID_TRIGGER,

    				   @V_CDFILIAL_OLD,
                  @V_IDOBRTPOPPED_OLD,
                  @V_CDMODPGTO_OLD,
                  @V_CDVENDEDOR_OLD,
                  @V_IDTABPRECO_OLD,
                  @V_IDLANCPED_OLD,
                  @V_IDLANENCARGOPED,
                  @V_IDTESTAEST_OLD,
                  @V_NRDIASENTPED_OLD,
                  @V_IDOBRINFTRAN_OLD,
                  @V_CDOPERAPRO1_OLD,
                  @V_CDOPERAPRO2_OLD,
                  @V_IDSITUFINAN_OLD,
                  @V_CDGROPERAPRO_OLD,
                  @V_NRDIAPENDFIN_OLD,
                  @V_NRMAXITNFPED_OLD,
                  @V_IDEXIBPEDIDO_OLD,
                  @V_IDMENSVEND_OLD,
                  @V_IDPERALTPRECO_OLD,
                  @V_IDUTRESELOTE_OLD,
                  @V_CDGROPLIBINC_OLD,
                  @V_IDUTVALIPED_OLD,
                  @V_QTDIAVALIPED_OLD,
                  @V_IDUTDESCMAXI_OLD,
                  @V_IDEXCLPEDIDO_OLD,
                  @V_IDESTTODFIL_OLD,
                  @V_VRLIMAPROVA_OLD,
                  @V_IDENTRSAIDOP_OLD,
                  @V_CDTIPOOPER_OLD,
                  @V_CDCLIENTE_OLD,
                  @V_IDUTCTRELANP_OLD,
                  @V_IDTPCOMPPROD_OLD,
                  @V_IDEXIBIMPITPED_OLD,
                  @V_VRPERDIFCUSPREC_OLD,
                  @V_IDATUTABPRECINI_OLD,
                  @V_IDEXIBRENTPED_OLD,
                  @V_CDITFORPRECOPRO_OLD,
                  @V_IDEXIBPRINATIV_OLD,
                  @V_IDEXIBEPRAZOPED_OLD,
                  @V_IDTIPOPEDINC_OLD,
                  @V_IDEVOLESTLIQMAN_OLD,
                  @V_VRMINPEDIDO_OLD,
                  @V_VRSERVBANHO_OLD,
                  @V_IDGERAOPPEDIDO_OLD,
                  @V_IDENCARPRIPARC_OLD,
                  @V_IDALTFORMAPAG_OLD,
                  @V_DSPERALTMAIOR_OLD,
                  @V_DSPERALTMENOR_OLD,
                  @V_CDGRUALTPRECO_OLD,
                  @V_IDCONSESTGEROP_OLD,
                  @V_IDALTMODPAG_OLD,
                  @V_IDCALCPRECODIME_OLD,
                  @V_IDDIMEVARDESC_OLD,

                  @V_CDFILIAL_NEW,
                  @V_IDOBRTPOPPED_NEW,
                  @V_CDMODPGTO_NEW,
                  @V_CDVENDEDOR_NEW,
                  @V_IDTABPRECO_NEW,
                  @V_IDLANCPED_NEW,
                  @V_IDLANENCARGOPED,
                  @V_IDTESTAEST_NEW,
                  @V_NRDIASENTPED_NEW,
                  @V_IDOBRINFTRAN_NEW,
                  @V_CDOPERAPRO1_NEW,
                  @V_CDOPERAPRO2_NEW,
                  @V_IDSITUFINAN_NEW,
                  @V_CDGROPERAPRO_NEW,
                  @V_NRDIAPENDFIN_NEW,
                  @V_NRMAXITNFPED_NEW,
                  @V_IDEXIBPEDIDO_NEW,
                  @V_IDMENSVEND_NEW,
                  @V_IDPERALTPRECO_NEW,
                  @V_IDUTRESELOTE_NEW,
                  @V_CDGROPLIBINC_NEW,
                  @V_IDUTVALIPED_NEW,
                  @V_QTDIAVALIPED_NEW,
                  @V_IDUTDESCMAXI_NEW,
                  @V_IDEXCLPEDIDO_NEW,
                  @V_IDESTTODFIL_NEW,
                  @V_VRLIMAPROVA_NEW,
                  @V_IDENTRSAIDOP_NEW,
                  @V_CDTIPOOPER_NEW,
                  @V_CDCLIENTE_NEW,
                  @V_IDUTCTRELANP_NEW,
                  @V_IDTPCOMPPROD_NEW,
                  @V_IDEXIBIMPITPED_NEW,
                  @V_VRPERDIFCUSPREC_NEW,
                  @V_IDATUTABPRECINI_NEW,
                  @V_IDEXIBRENTPED_NEW,
                  @V_CDITFORPRECOPRO_NEW,
                  @V_IDEXIBPRINATIV_NEW,
                  @V_IDEXIBEPRAZOPED_NEW,
                  @V_IDTIPOPEDINC_NEW,
                  @V_IDEVOLESTLIQMAN_NEW,
                  @V_VRMINPEDIDO_NEW,
                  @V_VRSERVBANHO_NEW,
                  @V_IDGERAOPPEDIDO_NEW,
                  @V_IDENCARPRIPARC_NEW,
                  @V_IDALTFORMAPAG_NEW,
                  @V_DSPERALTMAIOR_NEW,
                  @V_DSPERALTMENOR_NEW,
                  @V_CDGRUALTPRECO_NEW,
                  @V_IDCONSESTGEROP_NEW,
                  @V_IDALTMODPAG_NEW,
                  @V_IDCALCPRECODIME_NEW,
                  @V_IDDIMEVARDESC_NEW;
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;

END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_PED_PARAMPEDIDO','6.05.xxx';
GO